<?xml version="1.0" encoding="utf-8"?>
<t:layoutdefinition xmlns:t="http://www.CaptainCasa.com/controllibrary/t" >

<t:beanprocessing id="g_1" beanbinding="#{d.TicTacToeBean}" />
<t:rowbodypane id="g_35" >
<t:rowdistance id="g_3" height="20%" />
<t:row id="g_4" >
<t:coldistance id="g_5" width="50%" />
<t:label id="g_6" font="size:24" text="TIC TAC TOE" />
<t:coldistance id="g_7" width="50%" />
</t:row>
<t:rowdistance id="g_8" height="10%" />
<t:row id="g_9" >
<t:coldistance id="g_10" width="20%" />
<t:button id="g_11" actionListener="#{d.TicTacToeBean.onButton1}" background="#{d.TicTacToeBean.colorButton1}" height="20%" reference="1" width="20%" />
<t:button id="g_12" actionListener="#{d.TicTacToeBean.onButton2}" background="#{d.TicTacToeBean.colorButton2}" height="20%" reference="2" width="20%" />
<t:button id="g_13" actionListener="#{d.TicTacToeBean.onButton3}" background="#{d.TicTacToeBean.colorButton3}" height="20%" reference="3" width="20%" />
</t:row>
<t:row id="g_14" >
<t:coldistance id="g_15" width="20%" />
<t:button id="g_16" actionListener="#{d.TicTacToeBean.onButton4}" background="#{d.TicTacToeBean.colorButton4}" height="20%" reference="4" width="20%" />
<t:button id="g_17" actionListener="#{d.TicTacToeBean.onButton5}" background="#{d.TicTacToeBean.colorButton5}" height="20%" reference="5" width="20%" />
<t:button id="g_18" actionListener="#{d.TicTacToeBean.onButton6}" background="#{d.TicTacToeBean.colorButton6}" height="20%" reference="6" width="20%" />
</t:row>
<t:row id="g_19" >
<t:coldistance id="g_20" width="20%" />
<t:button id="g_21" actionListener="#{d.TicTacToeBean.onButton7}" background="#{d.TicTacToeBean.colorButton7}" height="20%" reference="7" width="20%" />
<t:button id="g_22" actionListener="#{d.TicTacToeBean.onButton8}" background="#{d.TicTacToeBean.colorButton8}" height="20%" reference="8" width="20%" />
<t:button id="g_23" actionListener="#{d.TicTacToeBean.onButton9}" background="#{d.TicTacToeBean.colorButton9}" height="20%" reference="9" width="20%" />
</t:row>
<t:rowdistance id="g_24" height="20" />
<t:row id="g_25" >
<t:coldistance id="g_26" width="50%" />
<t:label id="g_27" font="size:18" text="#{d.TicTacToeBean.resultText}" />
<t:coldistance id="g_28" width="50%" />
</t:row>
<t:rowdistance id="g_29" height="10" />
<t:row id="g_30" >
<t:coldistance id="g_31" width="50%" />
<t:button id="g_32" actionListener="#{d.TicTacToeBean.onReset}" font="size:18" text="Neu beginnen" />
</t:row>
<t:rowdistance id="g_33" height="20%" />
</t:rowbodypane>

</t:layoutdefinition>